Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,9 @@
 using System;
 using System.Collections.Generic;
+using System.ComponentModel;
 using System.Drawing;
 using System.IO;
 using HeuristicLab.Clients.Access;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -51,5 +53,5 @@
         if (value != stored) {
           stored = value;
-          OnStoredChanged();
+          OnPropertyChanged("Stored");
           OnItemImageChanged();
         }
@@ -60,8 +62,8 @@
       get { return WrappedItem.Algorithm; }
     }
-    public IDictionary<string, IItem> Parameters {
+    public IObservableDictionary<string, IItem> Parameters {
       get { return WrappedItem.Parameters; }
     }
-    public IDictionary<string, IItem> Results {
+    public IObservableDictionary<string, IItem> Results {
       get { return WrappedItem.Results; }
     }
@@ -162,26 +164,21 @@
 
     #region Events
-    public event EventHandler Changed;
-    private void OnChanged() {
-      var handler = Changed;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler StoredChanged;
-    private void OnStoredChanged() {
-      var handler = StoredChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
+    public event PropertyChangedEventHandler PropertyChanged;
+    private void OnPropertyChanged(string property) {
+      var handler = PropertyChanged;
+      if (handler != null) handler(this, new PropertyChangedEventArgs(property));
     }
 
     protected override void RegisterWrappedItemEvents() {
       base.RegisterWrappedItemEvents();
-      WrappedItem.Changed += new EventHandler(WrappedItem_Changed);
+      WrappedItem.PropertyChanged += WrappedItem_PropertyChanged;
     }
     protected override void DeregisterWrappedItemEvents() {
-      WrappedItem.Changed -= new EventHandler(WrappedItem_Changed);
+      WrappedItem.PropertyChanged -= WrappedItem_PropertyChanged;
       base.DeregisterWrappedItemEvents();
     }
 
-    private void WrappedItem_Changed(object sender, EventArgs e) {
-      OnChanged();
+    private void WrappedItem_PropertyChanged(object sender, PropertyChangedEventArgs e) {
+      OnPropertyChanged(e.PropertyName);
     }
     #endregion
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
